Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 51)
@@ -1860,14 +2695,169 @@
             FrmSubContractorJobCategory frm = new FrmSubContractorJobCategory();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.SubContractorJobCategory;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分マスタ
+        /// <summary>
+        /// セキュリティ区分マスタ
+        /// </summary>
+        public static void MaintenanceExecuteNo_Security(ProcessParameter CurrentPara)
+        {
+            // セキュリティ区分マスタ
+            FrmSecurity frm = new FrmSecurity();
+            try
+            {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Security;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 発注者区分マスタ
+        /// <summary>
+        /// 発注者区分マスタ
+        /// </summary>
+        /// <returns></returns>
+        public static void MaintenanceExecuteNo_OrderDivision(ProcessParameter CurrentPara)
+        {
+            // 区分マスタ
+            FrmDivision frm = new FrmDivision();
+            try
+            {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.OrderDivision;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                frm.DivisionCode = (int)CommonDefine.DivisionMasterCodeDefine.OrderDivision;
+
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 施工経費区分マスタ
+        /// <summary>
+        /// 施工経費区分マスタ
+        /// </summary>
+        /// <returns></returns>
+        public static void MaintenanceExecuteNo_ConstructionExpenses(ProcessParameter CurrentPara)
+        {
+            // 区分マスタ
+            FrmDivision frm = new FrmDivision();
+            try
+            {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ConstructionExpenses;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                frm.DivisionCode = (int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses;
+
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 資材種類マスタ
+        /// <summary>
+        /// 資材種類マスタ
+        /// </summary>
+        /// <returns></returns>
+        public static void MaintenanceExecuteNo_MaterialKind(ProcessParameter CurrentPara)
+        {
+            // 資材種類マスタ
+            FrmMaterialTypesMaster frm = new FrmMaterialTypesMaster();
+            try
+            {
+                int ProcessNo = (int)MaintenanceExecuteNo.MaterialKind;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
                 frm.Dispose();
                 frm = null;
             }
@@ -1874,8 +2864,45 @@
         }
         #endregion
 
+        #region 資材品目マスタ
+        /// <summary>
+        /// 資材品目マスタ
+        /// </summary>
+        /// <returns></returns>
+        public static void MaintenanceExecuteNo_MaterialItems(ProcessParameter CurrentPara)
+        {
+            // 資材種類マスタ
+            FrmMaterialItemsMaster frm = new FrmMaterialItemsMaster();
+            try
+            {
+                int ProcessNo = (int)MaintenanceExecuteNo.MaterialItem;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose();
+                frm = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region サブフォーム
         #region 掲示板メッセージ入力
         /// <summary>
@@ -1898,6 +2925,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1927,6 +2955,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1955,6 +2984,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1983,6 +3013,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -2004,6 +3035,11 @@
             {
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
                 frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[2];
+                for (int i = 3; i < CurrentPara.IntExecParameter.Count; i++)
+                {
+                    frm.PurchaseOrderSeqNo.Add(CurrentPara.IntExecParameter[i]);
+                }
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -2011,6 +3047,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 51)
@@ -1,4 +1,5 @@
 ﻿using System;
+using System.Collections;
 using System.Collections.Generic;
 using System.Diagnostics;
 using System.IO;
@@ -89,6 +90,60 @@
         }
         #endregion
 
+        #region 掲示板データ登録(一括処理用)
+        /// <summary>
+        /// 掲示板データ登録(一括処理用)
+        /// </summary>
+        /// <returns></returns>
+        public static bool CreateMessage(IOMessageBoardData mbdDB, IOMessageBoardTerget mbtDB, MessageBoardData WriteData, List<MessageBoardTerget> WriteDetail)
+        {
+            DBCommonMotions dbCom = new DBCommonMotions();
+            try
+            {
+                // キーコードセット
+                WriteData.RecordNumber = mbdDB.SelectMaxMessageBoardDataKeyCount("", false) + 1;
+
+                dbCom.connect();
+                // 最大桁数をこえたら1に戻す
+                int DataLen = dbCom.GetTableColumnLength("MessageBoardData", "RecordNumber", false);
+                int DataMax = CommonMotions.CreateMaxNumeric(DataLen);
+                if (WriteData.RecordNumber >= DataMax) WriteData.RecordNumber = 1;
+
+                // データ登録
+                if (!mbdDB.OneRecInsertAction(WriteData, false))
+                {
+                    logger.ErrorFormat("掲示板メッセージ：登録に失敗しました。");
+                    return false;
+                }
+
+                int icnt = 1;
+                foreach (MessageBoardTerget wrk in WriteDetail)
+                {
+                    // キーコードセット
+                    wrk.RecordNumber = WriteData.RecordNumber;
+                    wrk.SeqNum = icnt++;
+                }
+                // データ登録
+                if (!mbtDB.InsertAction(WriteDetail, false))
+                {
+                    logger.ErrorFormat("掲示板対象者テーブル：登録に失敗しました。");
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                dbCom.close(); dbCom = null;
+            }
+        }
+        #endregion
+
         #region 掲示板可読権限確認
         /// <summary>
         /// 掲示板可読権限確認
@@ -97,11 +152,301 @@
         /// <param name="BuranchNo">レコード枝番</param>
         /// <param name="bRead">読込許可・書込み許可</param>
         /// <returns></returns>
-        public static bool MessageAccessPermission(int RecoadNo, int BuranchNo, bool bRead = true)
+        public static bool MessagePermission(int RecoadNo, int BuranchNo, bool bRead = true)
         {
+            try
+            {
+                bool MacthFlg = false;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    MacthFlg = MessageOldPermission(RecoadNo, BuranchNo, bRead);
+                }
+                else
+                {
+                    // 編集・書込み時のチェック
+                    MacthFlg = MessageNewEditPermission(RecoadNo, BuranchNo);
+                    // 読込み時のチェック
+                    if (bRead)
+                    {
+                        MacthFlg = MessageNewReadPermission(RecoadNo, BuranchNo);
+                    }
+                }
+
+                return MacthFlg;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 掲示板読込・編集権限確認（新タイプ対応）
+        /// <summary>
+        /// 掲示板編集権限確認（新タイプ対応）
+        /// </summary>
+        public static bool MessageNewEditPermission(int RecoadNo, int BuranchNo)
+        {
+            IOMessageBoardData mbdDB = new IOMessageBoardData();
+            IOMSecurity secDB = new IOMSecurity();
+            try
+            {
+                // 対象データの取得
+                string strSQL = "SELECT A.*, B.*, C.* FROM MESSAGEBOARDDATA A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.FROMCODE";
+                strSQL += " LEFT JOIN SECURITYMASTER C ON C.SECCODE = B.SECCODE";
+                strSQL += string.Format(" WHERE A.RECORDNUMBER = {0} AND A.BRANCHNUMBER = {1}", RecoadNo, BuranchNo);
+
+                ArrayList mbdRec = new ArrayList();
+                if (!mbdDB.ExecuteReader(strSQL, ref mbdRec)) return false;
+                object[] objRec = (object[])mbdRec[0];
+
+                int PersonBaseBoardDataCnt = Enum.GetNames(typeof(IOMessageBoardData.ColumnCnt)).Length;
+                int SecBaseDataCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length + PersonBaseBoardDataCnt;
+
+                // アクセスランク位置取得
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;
+                int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;
+
+                // 書込み者コードの取得
+                int FromCode = CommonMotions.cnvInt(objRec[(int)IOMessageBoardData.ColumnCnt.FromCode]);
+                // 書込み者セキュリティランクの取得
+                int TargetSecRank = CommonMotions.cnvInt(objRec[SecBaseDataCnt + (int)IOMSecurity.DataColumn.SecRank]);
+                
+                // 秘書からの連絡は編集対象外
+                if (FromCode == CommonDefine.s_MsgBoardSystemCode) return false;
+
+                // 作成者がログイン者ならば編集可能
+                if (FromCode == CommonMotions.LoginUserData.PersonCode) return true;
+
+                // システム権限によってデータアクセスに制限がある
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                {
+                    // ----- システム管理者（すべて対象）
+                    return true;
+                }
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                {
+                    // ----- 経営者アクセス（すべて対象）
+                    return true;
+                }
+                else
+                {
+                    // ----- 統括者アクセス
+                    // ----- 所属長アクセス（参照部署のみ対象）
+                    // 書込み者が自分より上位ランクのデータは編集できない
+                    if (CommonMotions.LoginUserData.SecCode < TargetSecRank) return false;
+
+                    // ----- 一般使用者アクセス(一般者は自分のメッセージのみ編集できる)
+                    if (CommonMotions.LoginUserSecurity.SecRank != (int)CommonDefine.SecurityRankList[NRank].Key) return false;
+
+                    int depcode = 0;
+                    if (FromCode < 99999)
+                    {
+                        // 部署の書込み
+                        depcode = FromCode;
+
+                        // 部署のMAXのセキュリティ区分を取得する
+                        string strSECSQL = "SELECT MAX(B.SECRANK) FROM PERSONINCHARGEMASTER A, SECURITYMASTER B";
+                        strSECSQL += string.Format(" WHERE DEPARTMENTCODE = {0} AND B.SECCODE = A.SECCODE", FromCode);
+                        ArrayList SecarList = new ArrayList();
+                        secDB.ExecuteReader(strSECSQL, ref SecarList);
+                        object[] objSecRec = (object[])SecarList[0];
+                        int OfficeSec = CommonMotions.cnvInt(objSecRec[0]);
+                        if (OfficeSec != 0)
+                        {
+                            // 経営者アクセス権限者の部署は当事者しかアクセスできない
+                            if (OfficeSec == (int)CommonDefine.SecurityRankList[SRank].Key)
+                            {
+                                if (CommonMotions.LoginUserSecurity.SecRank != (int)CommonDefine.SecurityRankList[SRank].Key) return false;
+                            }
+                        }
+                    }
+                    else
+                    {
+                        // 担当者の書込み
+                        depcode = CommonMotions.cnvInt(objRec[PersonBaseBoardDataCnt + (int)IOMPersonInCharge.ColumnCnt.DepartmentCode]);
+                    }
+                    // 参照部署があるかのチェック
+                    foreach (PersonDepartmentMaster wrkRec in CommonMotions.LoginUserDepartment)
+                    {
+                        if (depcode == wrkRec.DepartmentCode) return true;
+                    }
+                }
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                mbdDB.close(); mbdDB = null;
+                secDB.close(); secDB = null;
+            }
+        }
+        #endregion
+
+        #region 掲示板可読権限確認読込順
+        private enum GetTarget
+        {
+            ShareFlag = 0,
+            DepartmentCode,
+            SecRank
+        }
+        #endregion
+
+        #region 掲示板可読権限確認（新タイプ対応）
+        /// <summary>
+        /// 掲示板可読権限確認（新タイプ対応）
+        /// </summary>
+        /// <param name="RecoadNo">レコード番号</param>
+        /// <param name="BuranchNo">レコード枝番</param>
+        /// <param name="bRead">読込許可・書込み許可</param>
+        /// <returns></returns>
+        public static bool MessageNewReadPermission(int RecoadNo, int BuranchNo)
+        {
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMSecurity secDB = new IOMSecurity();
+            try
+            {
+                // 権限ランク取得
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;   // 経営者アクセス
+                int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;      // 統括者アクセス
+                int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;   // 所属長アクセス
+                int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;    // 一般者アクセス
+
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                {
+                    // ----- システム管理者（すべて対象）
+                    return true;
+                }
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                {
+                    // ----- 経営者アクセス（すべて対象）
+                    return true;
+                }
+                else
+                {
+                    // 掲示板閲覧テーブルのチェック
+                    string strSQL = "SELECT A.*, B.SHAREFLAG, C.DEPARTMENTCODE, D.SECRANK FROM MESSAGEBOARDTERGET A";
+                    strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.TOCODE";
+                    strSQL += " LEFT JOIN SECURITYMASTER D ON D.SECCODE = C.SECCODE";
+                    strSQL += " , MESSAGEBOARDDATA B";
+                    strSQL += string.Format(" WHERE A.RECORDNUMBER = {0} AND A.BRANCHNUMBER = {1}", RecoadNo, BuranchNo);
+                    strSQL += " AND B.RECORDNUMBER = A.RECORDNUMBER";
+                    strSQL += " AND B.BRANCHNUMBER = A.BRANCHNUMBER";
+
+                    ArrayList terList = new ArrayList();
+                    if (!mbtDB.ExecuteReader(strSQL, ref terList)) return true;
+                    if (terList.Count == 0) return true;
+
+                    // 対象テーブルにあるか？
+                    int TergetCnt = Enum.GetNames(typeof(IOMessageBoardTerget.NameColumn)).Length;
+                    MessageBoardTerget wrkRec = new MessageBoardTerget();
+                    for (int i = 0; i < terList.Count; i++)
+                    {
+                        mbtDB.ClearStruct(ref wrkRec);
+                        object[] objRec = (object[])terList[i];
+                        mbtDB.Reader2Struct(objRec, ref wrkRec);
+
+
+                        // ----------
+                        int CurRecRank = 0;
+                        int DepCode = 0;
+                        // 対象者コードが5桁以下ならば部署コード
+                        if (wrkRec.ToCode < 99999)
+                        {
+                            // 所属が対象ならばOK
+                            if (wrkRec.ToCode == CommonMotions.LoginUserData.DepartmentCode) return true;
+
+                            // 管理者対象フラグ取得
+                            int ShareFlag = CommonMotions.cnvInt(objRec[TergetCnt + (int)GetTarget.ShareFlag]);
+                            // 管理者対象フラグがONの時にログイン者が一般ユーザーの場合はメッセージを見せない
+                            if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[NRank].Key)
+                            {
+                                if (ShareFlag != 0) return false;
+                            }
+
+                            string strSECSQL = "SELECT MAX(B.SECRANK) FROM PERSONINCHARGEMASTER A, SECURITYMASTER B";
+                            strSECSQL += string.Format(" WHERE DEPARTMENTCODE = {0} AND B.SECCODE = A.SECCODE", wrkRec.ToCode);
+                            ArrayList SecarList = new ArrayList();
+                            secDB.ExecuteReader(strSECSQL, ref SecarList);
+                            object[] objSecRec = (object[])SecarList[0];
+
+                            // 部署コード取得
+                            DepCode = wrkRec.ToCode;
+                            
+                            // 部署の最高アクセス権限を取得する
+                            CurRecRank = CommonMotions.cnvInt(objSecRec[0]);
+                            if (CurRecRank == 0) CurRecRank = 9;
+                        }
+                        else
+                        {   // ----- 以外は担当者コード
+                            // 全員の場合はOK
+                            if (wrkRec.ToCode == CommonDefine.s_AllMembersCode) return true;
+
+                            // 対象に自分があればOK
+                            if (wrkRec.ToCode == CommonMotions.LoginUserData.PersonCode) return true;
+
+                            // 読込対象者の所属部署を取得する
+                            DepCode = CommonMotions.cnvInt(objRec[TergetCnt + (int)GetTarget.DepartmentCode]);
+
+                            // アクセスランクを取得する
+                            CurRecRank = CommonMotions.cnvInt(objRec[TergetCnt + (int)GetTarget.SecRank]);
+                            if (CurRecRank == 0) CurRecRank = 9;
+                        }
+                        // 部署コードが無い場合はチェックしない
+                        if (DepCode == 0) continue;
+                     
+                        // ログイン者が所属長の場合は対象者の所属部署を参照部署と比較
+                        if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key
+                            || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)
+                        {
+                            // 参照部署にあるかのチェック
+                            foreach (PersonDepartmentMaster RefDepRec in CommonMotions.LoginUserDepartment)
+                            {
+                                if (DepCode == RefDepRec.DepartmentCode)
+                                {
+                                    // 書込み者が自分より上位者では無い場合は読み込める
+                                    if (CommonMotions.LoginUserSecurity.SecRank <= CurRecRank) return true;
+                                }
+                            }
+                        }
+                    }
+                }
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                mbtDB.close(); mbtDB = null;
+                secDB.close(); secDB = null;
+            }
+        }
+        #endregion
+
+        #region 掲示板可読権限確認（旧来チェック）
+        /// <summary>
+        /// 掲示板可読権限確認（旧来チェック）
+        /// </summary>
+        /// <param name="RecoadNo">レコード番号</param>
+        /// <param name="BuranchNo">レコード枝番</param>
+        /// <param name="bRead">読込許可・書込み許可</param>
+        /// <returns></returns>
+        public static bool MessageOldPermission(int RecoadNo, int BuranchNo, bool bRead = true)
+        {
+            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
             IOMessageBoardData mbdDB = new IOMessageBoardData();
-            IOMPersonInCharge PicDB = new IOMPersonInCharge();
             try
             {
                 // メッセージデータの取得
@@ -216,7 +561,7 @@
                         // 所属が対象ならばOK
                         if (wrkRec.ToCode == CommonMotions.LoginUserData.DepartmentCode)
                         {   // 管理者対象フラグがONの時にログイン者が一般ユーザーの場合はメッセージを見せない
-                            if (mbdRec.ShareFlag != 0 
+                            if (mbdRec.ShareFlag != 0
                                 && CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
                                 continue;
 
@@ -251,9 +596,11 @@
             {
                 mbtDB.close(); mbtDB = null;
                 mbdDB.close(); mbdDB = null;
-                PicDB.close(); PicDB = null;
             }
         }
+        #endregion
+
+        #region 指定担当者がログインユーザー配下の所属かどうかを確認する
         /// <summary>
         /// 指定担当者がログインユーザー配下の所属かどうかを確認する
         /// </summary>
@@ -283,8 +630,39 @@
                 picDB.close(); picDB = null;
             }
         }
+        #endregion
 
+        #region 指定担当者がログインユーザー配下の所属かどうかを確認する
         /// <summary>
+        /// 指定担当者がログインユーザー配下の所属かどうかを確認する
+        /// </summary>
+        /// <param name="ToCode"></param>
+        /// <returns></returns>
+        private static int GetPersonInDepartment(int ToCode)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                string strSQL = picDB.CreatePrimarykeyString(ToCode);
+                PersonInChargeMaster perRec = new PersonInChargeMaster();
+                if (!picDB.SelectAction(strSQL, ref perRec)) return 0;
+
+                return perRec.DepartmentCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 指定担当者のセキュリティ区分を取得する
+        /// <summary>
         /// 指定担当者のセキュリティ区分を取得する
         /// </summary>
         /// <param name="PerSonCode"></param>
